## Apache Zeta Components Manual :: Docs For Class ezcWorkflowNodeInput

### Workflow::ezcWorkflowNodeInput

### Class ezcWorkflowNodeInput

An object of the ezcWorkflowNodeInput class represents an input (from the application) node.

When the node is reached, the workflow engine will suspend the workflow execution if the specified input data is not available (first activation). While the workflow is suspended, the application that embeds the workflow engine may supply the input data and resume the workflow execution (second activation of the input node). Input data is stored in a workflow variable.

Incoming nodes: 1 Outgoing nodes: 1

This example creates a simple workflow that expectes two input variables, once which can be any value and another that can only be an integer between one and ten.

1. <?php
2. $workflow=new ezcWorkflow ('Test');
4. $input=new ezcWorkflowNodeInput (
5. 'mixedVar'=>new ezcWorkflowConditionIsAnything ,
6. 'intVar'=>new ezcWorkflowConditionAnd (
7. array(
8. new ezcWorkflowConditionIsInteger ,
9. newezcWorkflowConditionIsGreatherThan(0)
10. new ezcWorkflowConditionIsLessThan (11)
11. )
12. )
13. );
15. $input-> addOutNode ($workflow->endNode);
16. $workflow->startNode-> addOutNode ($input);
17. ?>

Source for this file: /Workflow/src/nodes/variables/input.php

    ezcWorkflowNode
       |
       --ezcWorkflowNodeInput

Version: | //autogen//

### Inherited Constants

From ezcWorkflowNode:
`ezcWorkflowNode::WAITING_FOR_ACTIVATION` | The node is waiting to be activated.
`ezcWorkflowNode::WAITING_FOR_EXECUTION` | The node is activated and waiting to be executed.

### Inherited Member Variables

From ezcWorkflowNode
protected | `ezcWorkflowNode::$activatedFrom`
protected | `ezcWorkflowNode::$activationState`
protected | `ezcWorkflowNode::$configuration`
protected | `ezcWorkflowNode::$id`
protected | `ezcWorkflowNode::$inNodes`
protected | `ezcWorkflowNode::$internalCall`
protected | `ezcWorkflowNode::$maxInNodes`
protected | `ezcWorkflowNode::$maxOutNodes`
protected | `ezcWorkflowNode::$minInNodes`
protected | `ezcWorkflowNode::$minOutNodes`
protected | `ezcWorkflowNode::$numInNodes`
protected | `ezcWorkflowNode::$numOutNodes`
protected | `ezcWorkflowNode::$outNodes`
protected | `ezcWorkflowNode::$state`
protected | `ezcWorkflowNode::$threadId`

### Method Summary

public ezcWorkflowNodeInput | `__construct( [ $configuration = ''] )` Constructs a new input node.

### Inherited Methods

From ezcWorkflowNode
public ezcWorkflowNode | `ezcWorkflowNode::__construct()` Constructs a new node with the configuration $configuration.
public void | `ezcWorkflowNode::accept()` Reimplementation of accept() calls accept on all out nodes.
protected void | `ezcWorkflowNode::activateNode()` Convenience method for activating an (outgoing) node.
public ezcWorkflowNode | `ezcWorkflowNode::addInNode()` Adds a node to the incoming nodes of this node.
public ezcWorkflowNode | `ezcWorkflowNode::addOutNode()` Adds a node to the outgoing nodes of this node.
public mixed | `ezcWorkflowNode::getConfiguration()` Returns the configuration of this node.
public ezcWorkflowNode[] | `ezcWorkflowNode::getInNodes()` Returns the incoming nodes of this node.
public ezcWorkflowNode[] | `ezcWorkflowNode::getOutNodes()` Returns the outgoing nodes of this node.
public boolean | `ezcWorkflowNode::removeInNode()` Removes a node from the incoming nodes of this node.
public boolean | `ezcWorkflowNode::removeOutNode()` Removes a node from the outgoing nodes of this node.
public void | `ezcWorkflowNode::verify()` Checks this node's constraints.

### Methods

#### __construct

ezcWorkflowNodeInput __construct( [mixed $configuration = ''] )

Constructs a new input node.

An input node accepts an array of workflow variables to accept and/or together with a condition on the variable if required.

Each element in the configuration array must be either String: The name of the workflow variable to require. No conditions.

or

- Key: The name of the workflow variable to require.
- Value: An object of type ezcWorkflowCondition

##### Parameters:

Name | Type | Description
--- | --- | ---
`$configuration` | mixed |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowNode::__construct()` | Constructs a new node with the configuration $configuration.

Documentation generated by phpDocumentor 1.4.3